| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTest.LineSkipper Class Reference
Inheritance diagram for GaudiTest.LineSkipper:
[legend]
Collaboration diagram for GaudiTest.LineSkipper:
[legend]

## Public Member Functions
def | __init__
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTest.FilePreprocessor
def | __processLine__ (self, line)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| strings
| regexps

## Detailed Description

Definition at line 435 of file GaudiTest.py.

## Constructor & Destructor Documentation

def GaudiTest.LineSkipper.__init__ | ( |  | self,
|  |  | strings = `[]`,
|  |  | regexps = `[]`
| ) |  |

Definition at line 436 of file GaudiTest.py.

436 def __init__(self, strings = [], regexps = []):
437 import re
438 self.strings = strings
439 self.regexps = map(re.compile,regexps)
440
Containers::map
struct GAUDI_API map
Parametrisation class for map-like implementation.
Definition: KeyedObjectManager.h:25
GaudiTest.LineSkipper.__init__
def __init__
Definition: GaudiTest.py:436
GaudiTest.LineSkipper.strings
strings
Definition: GaudiTest.py:438
GaudiTest.LineSkipper.regexps
regexps
Definition: GaudiTest.py:439

## Member Function Documentation

def GaudiTest.LineSkipper.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 441 of file GaudiTest.py.

441 def __processLine__(self, line):
442 for s in self.strings:
443 if line.find(s) >= 0: return None
444 for r in self.regexps:
445 if r.search(line): return None
446 return line
447
GaudiTest.LineSkipper.strings
strings
Definition: GaudiTest.py:438
GaudiTest.LineSkipper.__processLine__
def __processLine__(self, line)
Definition: GaudiTest.py:441
GaudiTest.LineSkipper.regexps
regexps
Definition: GaudiTest.py:439

## Member Data Documentation

GaudiTest.LineSkipper.regexps

Definition at line 439 of file GaudiTest.py.

GaudiTest.LineSkipper.strings

Definition at line 438 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py